Bug 608599 - rpm doesn't understand SHA224 signature, but is possible to add sha224 signature
Summary: rpm doesn't understand SHA224 signature, but is possible to add sha224 signature
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rpm   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Panu Matilainen
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Keywords:
Depends On: 608611
Blocks: 582655 1066494
TreeView+ depends on / blocked
 
Reported: 2010-06-28 09:17 UTC by Jiri Kastner
Modified: 2014-02-18 14:25 UTC (History)
5 users (show)

Fixed In Version: rpm-4.8.0-13.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1066494 (view as bug list)
Environment:
Last Closed: 2011-05-19 14:19:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch solving 'Unknowk hash algorithm' output message (738 bytes, patch)
2010-06-28 09:17 UTC, Jiri Kastner
jkastner: review?
Details | Diff
patch, which should be used, when nss will support SHA224 (385 bytes, patch)
2010-06-28 10:14 UTC, Jiri Kastner
jkastner: review?
Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0739 normal SHIPPED_LIVE rpm bug fix and enhancement update 2012-10-23 19:19:10 UTC

Description Jiri Kastner 2010-06-28 09:17:45 UTC
Created attachment 427357 [details]
patch solving 'Unknowk hash algorithm' output message

Description of problem:
rpm doesn't understand sha224, but is possible sign it with sha224 algorithm.

Version-Release number of selected component (if applicable):
rpm-4.8.0-9.el6

How reproducible:
always

Steps to Reproduce:
1. modify ".gnupg/gpg.conf" to have as first default value H11 (SHA224) in 'personal-digest-preferences' and 'default-preference-list' variables, or in "~/.rpmmacros" change %__gpg_sign_cmd to %{__gpg} --digest-algo sha224 --batch --no-verbose --no-armor --passphrase-fd 3 --no-secmem-warning -u "%{_gpg_name}" -sbo %{__signature_filename} %{__plaintext_filename}
2. run "rpm -addsign some.rpm"
3. run "rpm -v --checksig some.rpm"
  
Actual results:
rpm -v --checksig mod_gnutls-0.5.6-1.md5.x86_64.rpm
mod_gnutls-0.5.6-1.md5.x86_64.rpm:
    Header V3 RSA/Unknown hash algorithm Signature, key ID c842f47e: BAD
    Header SHA1 digest: OK (2a30e68848f8aa15028e160164ce309c26b6f735)
    V3 RSA/MD5 Signature, key ID 40e6c3a4: OK
    V3 RSA/Unknown hash algorithm Signature, key ID c842f47e: BAD
    MD5 digest: OK (7b86a7c836b21679133b77ff7cdce95b)


Expected results:
rpm -v --checksig mod_gnutls-0.5.6-1.md5.x86_64.rpm
mod_gnutls-0.5.6-1.md5.x86_64.rpm:
    Header V3 RSA/SHA224 Signature, key ID c842f47e: OK
    Header SHA1 digest: OK (2a30e68848f8aa15028e160164ce309c26b6f735)
    V3 RSA/MD5 Signature, key ID 40e6c3a4: OK
    V3 RSA/SHA224 Signature, key ID c842f47e: OK
    MD5 digest: OK (7b86a7c836b21679133b77ff7cdce95b)


Additional info:

Comment 1 RHEL Product and Program Management 2010-06-28 09:22:53 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Jiri Kastner 2010-06-28 10:14:54 UTC
Created attachment 427373 [details]
patch, which should be used, when nss will support SHA224

HASH_AlgSHA224 must be provided by nss, unless this patch is useless

Comment 3 Panu Matilainen 2010-06-29 07:51:51 UTC
Ack for the first patch (applied upstream, thanks) and also for verifying the generated signature is something rpm's implementation (ie NSS) supports (some basic sanity tests added upstream now).

Comment 4 Elio Maldonado Batiz 2010-07-08 21:45:12 UTC
See https://bugzilla.redhat.com/show_bug.cgi?id=608611#c2

Comment 5 Jiri Kastner 2010-07-15 08:13:33 UTC
some progress in nss: https://bugzilla.mozilla.org/show_bug.cgi?id=356713

Comment 17 errata-xmlrpc 2011-05-19 14:19:36 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0739.html


Note You need to log in before you can comment on or make changes to this bug.